> This page is for Taurus PROTECT, version v3.40.
> For other versions, use one of these documentation indexes:
> - v3.58 (default): https://taurushq.ferndocs.com/protect-capital/v3.58/llms.txt
> - v3.56: https://taurushq.ferndocs.com/protect-capital/v3.56/llms.txt
> - v3.54: https://taurushq.ferndocs.com/protect-capital/v3.54/llms.txt
> - v3.52: https://taurushq.ferndocs.com/protect-capital/v3.52/llms.txt
> - v3.50: https://taurushq.ferndocs.com/protect-capital/v3.50/llms.txt
> - v3.48: https://taurushq.ferndocs.com/protect-capital/v3.48/llms.txt
> - v3.46: https://taurushq.ferndocs.com/protect-capital/v3.46/llms.txt
> - v3.44: https://taurushq.ferndocs.com/protect-capital/v3.44/llms.txt
> - v3.42: https://taurushq.ferndocs.com/protect-capital/v3.42/llms.txt
> - v3.40: https://taurushq.ferndocs.com/protect-capital/v3.40/llms.txt
> - v3.38: https://taurushq.ferndocs.com/protect-capital/v3.38/llms.txt

> For clean Markdown of any page, append .md to the page URL.
> For a complete documentation index, see https://taurushq.ferndocs.com/llms.txt.
> For AI client integration (Claude Code, Cursor, etc.), connect to the MCP server at https://taurushq.ferndocs.com/_mcp/server.

# Update an investor

PUT https://your-protect-instance.example.com/api/rest/v1/capital/investors/{id}
Content-Type: application/json

This endpoint updates an investor

Reference: https://taurushq.ferndocs.com/protect-capital/reference/capital/investors/update

## Authentication

- `Authorization` header (bearer token, required) — Bearer authentication of the form `Bearer <token>`, where token is your auth token.

## Request

### Path parameters

- `id` (string, required)

### Body (application/json)

This endpoint expects an InvestorServiceUpdateInvestorBody.

- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)
- `type` (enum, optional)
  - Allowed values: `LEGAL_ENTITY`, `INDIVIDUAL`
- `digitalAssetsAddresses` (list of tgcapitald_mergedDigitalAssetAddress, optional)
- `investorExternalID` (string, optional)
- `address` (string, optional)
- `qualification` (enum, optional)
  - Allowed values: `RETAIL_AND_QUALIFIED`, `QUALIFIED_ONLY`
- `attachments` (list of tgcapitald_mergedAttachmentMetadata, optional)
- `email` (string, optional)
- `countryOfResidence` (string, optional)
- `phoneCountryCode` (string, optional)
- `phoneNumber` (string, optional)
- `thirdPartyInvestorID` (string, optional)
- `accountName` (string, optional)
- `bankName` (string, optional)
- `bankAddress` (string, optional)
- `bankCountry` (string, optional)
- `iban` (string, optional)
- `bic` (string, optional)
- `name` (string, optional)
- `incorporationDate` (string, optional)
- `countryOfIncorporation` (string, optional)
- `businessRegistryNumber` (string, optional)
- `beneficialOwners` (list of tgcapitald_mergedBeneficialOwner, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `birthDate` (string, optional)
- `idType` (string, optional)
- `idCountry` (string, optional)
- `idNumber` (string, optional)

## Response

### 200

A successful response.

- `result` (tgcapitald_mergedUpdateInvestorResult, optional)

## Types

### tgcapitald_mergedDigitalAssetAddress

- `id` (string, optional)
- `addressName` (string, optional)
- `address` (string, optional)
- `active` (boolean, optional)
- `blockchain` (string, optional)
- `network` (string, optional)

### tgcapitald_mergedAttachmentMetadata

- `id` (string, optional)
- `key` (string, optional)
- `filename` (string, optional)
- `contentType` (string, optional)
- `location` (string, optional)
- `documentCategory` (string, optional)
- `createdAt` (datetime, optional)
- `updatedAt` (datetime, optional)

### tgcapitald_mergedBeneficialOwner

- `id` (string, optional)
- `firstName` (string, optional)
- `lastName` (string, optional)
- `countryOfResidence` (string, optional)
- `idNumber` (string, optional)
- `idScanURL` (string, optional)

### tgcapitald_mergedUpdateInvestorResult

- `id` (string, optional)

## Examples

**Request**

```json
{}
```

**Response**

```json
{
  "result": {
    "id": "string"
  }
}
```

**SDK Code**

```python
import requests

url = "https://your-protect-instance.example.com/api/rest/v1/capital/investors/id"

payload = {}
headers = {
    "Authorization": "Bearer <token>",
    "Content-Type": "application/json"
}

response = requests.put(url, json=payload, headers=headers)

print(response.json())
```

```javascript
const url = 'https://your-protect-instance.example.com/api/rest/v1/capital/investors/id';
const options = {
  method: 'PUT',
  headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
  body: '{}'
};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"strings"
	"net/http"
	"io"
)

func main() {

	url := "https://your-protect-instance.example.com/api/rest/v1/capital/investors/id"

	payload := strings.NewReader("{}")

	req, _ := http.NewRequest("PUT", url, payload)

	req.Header.Add("Authorization", "Bearer <token>")
	req.Header.Add("Content-Type", "application/json")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://your-protect-instance.example.com/api/rest/v1/capital/investors/id")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Put.new(url)
request["Authorization"] = 'Bearer <token>'
request["Content-Type"] = 'application/json'
request.body = "{}"

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.put("https://your-protect-instance.example.com/api/rest/v1/capital/investors/id")
  .header("Authorization", "Bearer <token>")
  .header("Content-Type", "application/json")
  .body("{}")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('PUT', 'https://your-protect-instance.example.com/api/rest/v1/capital/investors/id', [
  'body' => '{}',
  'headers' => [
    'Authorization' => 'Bearer <token>',
    'Content-Type' => 'application/json',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://your-protect-instance.example.com/api/rest/v1/capital/investors/id");
var request = new RestRequest(Method.PUT);
request.AddHeader("Authorization", "Bearer <token>");
request.AddHeader("Content-Type", "application/json");
request.AddParameter("application/json", "{}", ParameterType.RequestBody);
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = [
  "Authorization": "Bearer <token>",
  "Content-Type": "application/json"
]
let parameters = [] as [String : Any]

let postData = JSONSerialization.data(withJSONObject: parameters, options: [])

let request = NSMutableURLRequest(url: NSURL(string: "https://your-protect-instance.example.com/api/rest/v1/capital/investors/id")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "PUT"
request.allHTTPHeaderFields = headers
request.httpBody = postData as Data

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```